Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.LocalUserInvitation.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.LocalUserInvitationServiceSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.localUserInvitation.search();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/local-directory-invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"directoryAppId": "<string>",
"pageSize": 123,
"pageToken": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/local-directory-invitations"
payload = {
"directoryAppId": "<string>",
"pageSize": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({directoryAppId: '<string>', pageSize: 123, pageToken: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/local-directory-invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"acceptedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"directoryAppId": "<string>",
"displayName": "<string>",
"email": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"initialRoleIds": [
"<string>"
],
"invitedByUserId": "<string>",
"jobId": "<string>",
"onboardingFlowId": "<string>",
"purpose": "<string>",
"sponsorUserId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Local Directory
Search
List invitations for a directory, with optional status filter. Search invitations with filters (directory, status).
POST
/
api
/
v1
/
search
/
local-directory-invitations
Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.LocalUserInvitation.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.LocalUserInvitationServiceSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.localUserInvitation.search();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The LocalUserInvitationServiceSearchRequest message.
The directoryAppId field.
The pageSize field.
The pageToken field.
Optional filter by invitation status.
Available options:
LOCAL_INVITATION_STATUS_UNSPECIFIED, LOCAL_INVITATION_STATUS_PENDING, LOCAL_INVITATION_STATUS_ACCEPTED, LOCAL_INVITATION_STATUS_REVOKED, LOCAL_INVITATION_STATUS_EXPIRED Was this page helpful?
⌘I